Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 672812 - www-client/netsurf-3.8-r2 fails tests w/o USE=gtk2 ( frontends/gtk/Makefile:46: *** Unable to find library for: GTK-2 (gtk+-2.0). Stop )
Summary: www-client/netsurf-3.8-r2 fails tests w/o USE=gtk2 ( frontends/gtk/Makefile:4...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Philipp Ammann
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks:
 
Reported: 2018-12-09 13:14 UTC by Kent Fredric (IRC: kent\n)
Modified: 2020-06-21 12:17 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
netsurf-3.8-r2:20181209-095659.log.xz (netsurf-3.8-r2:20181209-095659.log.xz,18.62 KB, application/x-xz)
2018-12-09 13:14 UTC, Kent Fredric (IRC: kent\n)
Details
Ebuild netsurf-gtk bug (file_672812.txt,5.09 KB, text/plain)
2019-12-03 18:14 UTC, gengreen
Details
Ebuild netsurf-3.9 (file_672812.txt,3.99 KB, text/plain)
2019-12-03 18:35 UTC, gengreen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kent Fredric (IRC: kent\n) gentoo-dev 2018-12-09 13:14:13 UTC
Created attachment 557390 [details]
netsurf-3.8-r2:20181209-095659.log.xz

* Package:    www-client/netsurf-3.8-r2
 * Repository: gentoo
 * Maintainer: xmw@gentoo.org vdupras@gentoo.org
 * USE:        abi_x86_64 amd64 bmp duktape elibc_glibc fbcon fbcon_frontend_x gif javascript jpeg kernel_linux mng png psl rosprite svg svgtiny userland_GNU webp
 * FEATURES:   ccache preserve-libs sandbox test userpriv usersandbox

>>> Test phase: www-client/netsurf-3.8-r2
make -j3 NSSHARED=/usr/share/netsurf-buildsystem LIBDIR=lib64 PREFIX=/usr Q= CC=x86_64-pc-linux-gnu-gcc LD=x86_64-pc-linux-gnu-ld HOST_CC=$(CC) CCOPT= CCNOOPT= CCDBG= LDDBG= AR=x86_64-pc-linux-gnu-ar COMPONENT_TYPE=binary NETSURF_USE_BMP=YES NETSURF_USE_GIF=YES NETSURF_USE_JPEG=YES NETSURF_USE_PNG=YES NETSURF_USE_NSPSL=YES NETSURF_USE_MNG=YES NETSURF_USE_WEBP=YES NETSURF_USE_MOZJS=NO NETSURF_USE_JS=NO NETSURF_USE_DUKTAPE=YES NETSURF_USE_HARU_PDF=NO NETSURF_USE_NSSVG=YES NETSURF_USE_RSVG=NO NETSURF_USE_ROSPRITE=YES PKG_CONFIG=x86_64-pc-linux-gnu-pkg-config NETSURF_FB_FONTLIB=internal NETSURF_FB_FONTPATH=/usr/share/fonts/dejavu NETSURF_USE_VIDEO=NO test
M.CONFIG: JPEG (libjpeg)        enabled       (NETSURF_USE_JPEG := YES)
M.CONFIG: PDF export (haru)     disabled      (NETSURF_USE_HARU_PDF := NO)
M.CONFIG: glibc internal iconv  enabled       (NETSURF_USE_LIBICONV_PLUG := YES)
M.CONFIG: Javascript (Duktape)  enabled       (NETSURF_USE_DUKTAPE := YES)
PKG.CNFG: CSS (libcss)  enabled
PKG.CNFG: DOM (libdom)  enabled
PKG.CNFG: nsutils (libnsutils)  enabled
PKG.CNFG: utf8proc (libutf8proc)        enabled
M.CONFIG: Curl (libcurl)        enabled       (NETSURF_USE_CURL := YES)
M.CONFIG: OpenSSL (openssl)     enabled       (NETSURF_USE_OPENSSL := YES)
M.CONFIG: PNG (libpng)  enabled       (NETSURF_USE_PNG := YES)
M.CONFIG: BMP (libnsbmp)        enabled       (NETSURF_USE_BMP := YES)
M.CONFIG: GIF (libnsgif)        enabled       (NETSURF_USE_GIF := YES)
M.CONFIG: SVG (libsvgtiny)      enabled       (NETSURF_USE_NSSVG := YES)
M.CONFIG: Sprite (librosprite)  enabled       (NETSURF_USE_ROSPRITE := YES)
M.CONFIG: PSL (libnspsl)        enabled       (NETSURF_USE_NSPSL := YES)
M.CONFIG: LOG (libnslog)        auto-disabled (NETSURF_USE_NSLOG := AUTO)
M.CONFIG: SVG (librsvg-2.0)     disabled      (NETSURF_USE_RSVG := NO)
M.CONFIG: Video (gstreamer-0.10)        disabled      (NETSURF_USE_VIDEO := NO)
PKG.CNFG: GTK-2 (gtk+-2.0)      failed
frontends/gtk/Makefile:46: *** Unable to find library for: GTK-2 (gtk+-2.0).  Stop.
 * ERROR: www-client/netsurf-3.8-r2::gentoo failed (test phase):
 *   emake failed


Deps:

[ebuild  N    ~] www-client/netsurf-3.8-r2  USE="bmp duktape fbcon fbcon_frontend_x gif javascript jpeg mng png psl rosprite svg svgtiny webp -fbcon_frontend_sdl -fbcon_frontend_vnc -gtk -gtk2 -pdf-writer -truetype" 0 KiB
[ebuild  N    ~]  net-libs/libdom-0.3.3-r1:0/0.3.3  USE="xml -expat -test" 0 KiB
[ebuild  N     ]   dev-libs/libparserutils-0.2.3:0/0.2.3  USE="iconv -debug -static-libs -test" 0 KiB
[ebuild  N    ~]   dev-libs/libwapcaplet-0.4.1-r1:0/0.4.1  USE="-test" 0 KiB
[ebuild  N    ~]    dev-util/netsurf-buildsystem-1.7  0 KiB
[ebuild  N     ]   net-libs/libhubbub-0.3.3:0/0.3.3  USE="-debug -doc -static-libs -test" 0 KiB
[ebuild  N     ]  dev-perl/HTML-Parser-3.720.0  USE="-test" 0 KiB
[ebuild  N     ]   dev-perl/HTML-Tagset-3.200.0-r1  0 KiB
[ebuild  N    #]   virtual/perl-XSLoader-0.300.0  0 KiB
[ebuild  N    ~]  dev-libs/libnsfb-0.2.0-r1:0/0.2.0  USE="-sdl -test -vnc -wayland -xcb" 0 KiB
[ebuild  N    ~]  dev-libs/libnsutils-0.0.5-r1:0/0.0.5  0 KiB
[ebuild  N     ]  virtual/jpeg-0-r2  USE="-static-libs" 0 KiB
[ebuild  N     ]   media-libs/libjpeg-turbo-1.5.3-r2  USE="-java -static-libs" 0 KiB
[ebuild  N     ]    dev-lang/nasm-2.13.01  USE="-doc" 0 KiB
[ebuild  N     ]  dev-libs/check-0.12.0  USE="-static-libs -subunit" 0 KiB
[ebuild  N    ~]  dev-libs/nsgenbind-0.6-r1:0/0.6  0 KiB
[ebuild  N    ~]  media-libs/libnsbmp-0.1.5-r1:0/0.1.5  0 KiB
[ebuild  N    ~]  media-libs/libnspsl-0.1.3-r1:0/0.1.3  0 KiB
[ebuild  N    ~]  dev-libs/libcss-0.8.0-r1:0/0.8.0  USE="-test" 0 KiB
[ebuild  N     ]  media-libs/libmng-2.0.3:0/2  USE="-lcms -static-libs" 0 KiB
[ebuild  N     ]  media-libs/libpng-1.6.34:0/16  USE="-apng (-neon) -static-libs" CPU_FLAGS_X86="sse" 0 KiB
[ebuild  N    ~]  media-libs/libsvgtiny-0.1.7-r1:0/0.1.7  0 KiB
[ebuild  N     ]  media-libs/libwebp-0.5.2:0/6  USE="jpeg png -experimental -gif (-neon) -opengl -static-libs -swap-16bit-csp -tiff" CPU_FLAGS_X86="sse2 -avx2 (-sse4_1)" 0 KiB
[ebuild  N    ~]  media-libs/libnsgif-0.2.1-r1  0 KiB
[ebuild  N    ~]  media-libs/librosprite-0.1.3-r1  0 KiB
[ebuild  N    ~]  dev-libs/libutf8proc-2.2.0_p1-r1:0/2.2.0_p1  0 KiB


Portage 2.3.51 (python 2.7.15-final-0, default/linux/amd64/17.1/no-multilib, gcc-8.2.0, glibc-2.27-r6, 4.9.6-gentoo-r1 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.9.6-gentoo-r1-x86_64-Intel-R-_Core-TM-2_Duo_CPU_E6750_@_2.66GHz-with-gentoo-2.6
KiB Mem:     2042732 total,    353452 free
KiB Swap:   18588764 total,  18560232 free
Head commit of repository gentoo: ada5e6029505b515fcae1e1c8cbeb69f91858f55

sh bash 4.4_p12
ld GNU ld (Gentoo 2.30 p5) 2.30.0
ccache version 3.3.4 [enabled]
app-shells/bash:          4.4_p12::gentoo
dev-lang/perl:            5.28.0::gentoo
dev-lang/python:          2.7.15::gentoo, 3.6.5::gentoo
dev-util/ccache:          3.3.4-r1::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/openrc:          0.38.3::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.69-r4::gentoo
sys-devel/automake:       1.15.1-r2::gentoo
sys-devel/binutils:       2.30-r4::gentoo
sys-devel/gcc:            8.2.0-r4::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.27-r6::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: git
    sync-uri: https://github.com/gentoo/gentoo.git
    priority: -1000

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -mtune=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -mtune=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--quiet-build y --jobs 3 --autounmask=n"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs binpkg-multi-instance ccache clean-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms split-elog split-log strict test unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://127.0.0.1/ http://distfiles.gentoo.org"
LANG="en_NZ.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl amd64 berkdb bzip2 cli crypt cxx dri fortran gdbm iconv ipv6 libtirpc minimal ncurses nls nptl openmp pam pcre perl readline seccomp ssl tcpd test unicode xattr zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default
authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id
userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon plan sheets stage words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2 sse3 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LLVM_TARGETS="X86" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-1" POSTGRES_TARGETS="postgres9_5 postgres10" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" RUBY_TARGETS="ruby23 ruby24" USERLAND="GNU" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

www-client/netsurf-3.8-r2::gentoo was built with the following:
USE="bmp duktape fbcon fbcon_frontend_x gif javascript jpeg mng png psl rosprite svg svgtiny webp -fbcon_frontend_sdl -fbcon_frontend_vnc -gtk -gtk2 -pdf-writer -truetype"
Comment 1 gengreen 2019-12-03 18:14:21 UTC
Created attachment 598346 [details]
Ebuild netsurf-gtk bug

With the useflag -javascript -duktape it seem the directory build/ build/Linux-gtk/ are not created, making the build fail
Comment 2 gengreen 2019-12-03 18:35:01 UTC
Created attachment 598350 [details]
Ebuild netsurf-3.9

This ebuild fix the bug 598346 

Simple dirty hack add to the src_compile.

Build log :

https://pastebin.com/raw/cKEN5ucT
Comment 3 Larry the Git Cow gentoo-dev 2020-06-21 12:17:53 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ca7819ae8a75cab9e401e3106415a6528cdd1f52

commit ca7819ae8a75cab9e401e3106415a6528cdd1f52
Author:     Michael Orlitzky <mjo@gentoo.org>
AuthorDate: 2020-06-21 01:43:05 +0000
Commit:     Michael Orlitzky <mjo@gentoo.org>
CommitDate: 2020-06-21 12:17:03 +0000

    www-client/netsurf: new version 3.10.
    
    This new version (bug 727882) combined with the removal of the old
    versions fixes some outstanding issues:
    
      * Fixes the mixup between ED/D (and EROOT, variously) throughout
        the build system (bug 489542).
    
      * Adds a dependency on dev-lang/duktape, but as a result, has to
        drop keywords for arm, ppc, and ppc64 (bugs 698650, 728592).
    
      * Adds a patch to fix the location of utf8proc.h (bug 721318)
    
      * Adds a patch to disable failing tests (bug 687378).
    
      * Drops the broken USE=pdf-writer flag (bug 625770).
    
      * Apparently fixes the test failure with USE="-gtk2", since the
        test suite now passes (bug 672812).
    
      * Eliminates another test failure in v3.8 (bug 701322).
    
    Bug: https://bugs.gentoo.org/489542
    Closes: https://bugs.gentoo.org/625770
    Closes: https://bugs.gentoo.org/672812
    Closes: https://bugs.gentoo.org/687378
    Closes: https://bugs.gentoo.org/698650
    Closes: https://bugs.gentoo.org/701322
    Closes: https://bugs.gentoo.org/721318
    Closes: https://bugs.gentoo.org/727882
    Bug: https://bugs.gentoo.org/728592
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Michael Orlitzky <mjo@gentoo.org>

 www-client/netsurf/Manifest                        |   1 +
 .../files/netsurf-3.10-disable-failing-tests.patch |  42 +++++++
 ...rf-3.10-julia-libutf8proc-header-location.patch |  34 ++++++
 www-client/netsurf/netsurf-3.10.ebuild             | 131 +++++++++++++++++++++
 4 files changed, 208 insertions(+)